/discount-groups discount.read
permission.
Query parameters
meta.pagination.next URL in responses for list operations.50Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check meta.pagination.per_page in the response to see how many were returned.
Default: 50; Maximum: 200.
id[DESC]Order returned entities by the specified field and direction ([ASC] or [DESC]). For example, ?order_by=id[ASC].
Valid fields for ordering: created_at and id.
Header parameters
true to skip the count query on list operations. When set, meta.pagination.estimated_total returns -1 instead of an exact count.Response (200)
dsg_01js2gqehzccfkywgx1jk2mtspdsg_.^dsg_[a-z\d]{26}$activeEntity is active and can be used.archivedEntity is archived, so can't be used.
2024-10-12T07:20:50.52Z2024-10-13T07:20:50.52Znull if this entity is not imported.9b95b0b8-e10f-441a-862e-1936a6d818abpaddle_classicb15ec92e-8688-40d4-a04d-f44cbec93355after parameter that marks the starting point of the next page. Always returned, even if has_more is false.999Estimated number of entities for this response.
For datasets with 100,000 or fewer matches, returns the exact count. For datasets with more than 100,000 matches, returns 100001 to indicate that more than 100,000 entities match. Returns -1 when counting is skipped or couldn't be calculated.
Use has_more and next to page through all results rather than relying on estimated_total for an exact count.
{ "data": [ { "id": "dsg_01gtf15svsqzgp9325ss4ebmwt", "name": "Black Friday 2024", "status": "active", "import_meta": null, "created_at": "2024-11-28T14:36:14.695Z", "updated_at": "2024-11-28T14:36:14.695Z" }, { "id": "dsg_02gtf15svsqzgp9325ss4ebmwt", "name": "Cyber Monday 2024 Discounts", "status": "active", "import_meta": null, "created_at": "2024-01-01T16:48:04.473Z", "updated_at": "2024-01-01T16:48:04.473Z" } ], "meta": { "request_id": "d8f286a6-e049-4a6e-8fa8-a6f145ac3ecf", "pagination": { "per_page": 50, "next": "https://api.paddle.com/discount-groups?after=dsg_01gtf15svsqzgp9325ss4ebmwt", "has_more": false, "estimated_total": 2 } }}